Overview | Package | Class | Tree | Serialized | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.ibm.crypto.pkcs11impl.provider
Class GeneralPKCS11KeyParameterSpec

    java.lang.Object
      com.ibm.crypto.pkcs11impl.provider.GeneralPKCS11KeyParameterSpec

All Implemented Interfaces:
  PKCS11SecretKeyParameterSpec, java.security.spec.AlgorithmParameterSpec

    public class GeneralPKCS11KeyParameterSpec

extends java.lang.Object
implements PKCS11SecretKeyParameterSpec

This class specifies a PKCS11 key generation specification

Constructor Summary
`GeneralPKCS11KeyParameterSpec(java.lang.String keyIdentifier, java.lang.String label, java.lang.Boolean isToken, java.lang.Boolean isSensitive, java.lang.Boolean encryption, java.lang.Boolean wrapping, java.lang.Boolean extractable, int keySizeInBytes, java.lang.String algorithm)` GeneralPKCS11KeyParameterSpec which defines what this key can do.
`GeneralPKCS11KeyParameterSpec(java.lang.String keyIdentifier, java.lang.String label, int keySizeInBytes, java.lang.String algorithm)` GeneralPKCS11KeyParameterSpec

Method Summary
`java.lang.Boolean` | `getEncrypt()` Returns the if the key can be used for encryption/decryption operations.
`java.lang.Boolean` | `getExtractable()` Returns the if the key can be wrapped by another key.
`java.lang.String` | `getKeyID()` Returns the associated key identifier.
`int` | `getKeySizeInBytes()` Returns the size of the key in bytes.
`java.lang.Integer` | `getKeyType()` Returns the key type
`java.lang.String` | `getLabel()` Returns the label for the key.
`java.lang.Boolean` | `getSensitive()` Returns if the key is sensitive.
`java.lang.Boolean` | `getToken()` Returns if the the key is a session or token key.
`java.lang.Boolean` | `getWrap()` Returns if the key can be used for wrapping operations.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### GeneralPKCS11KeyParameterSpec

    public GeneralPKCS11KeyParameterSpec(java.lang.String keyIdentifier,
                                         java.lang.String label,
                                         java.lang.Boolean isToken,
                                         java.lang.Boolean isSensitive,
                                         java.lang.Boolean encryption,
                                         java.lang.Boolean wrapping,
                                         java.lang.Boolean extractable,
                                         int keySizeInBytes,
                                         java.lang.String algorithm)

  GeneralPKCS11KeyParameterSpec which defines what this key can do.

  Parameters:
    `keyIdentifier` - the data that identifies this key from another key.
    `label` - to describe the keys.
    `isToken` - is set to True if the key is to be a token object.
    `isSensitive` - is set to True if the key is sensitive.
    `encryption` - is set to True if the key can be used for encrypting and decrypting data.
    `wrapping` - is set to True if the key can be used to wrapping/unwrapping other keys.
    `extractable` - is set to True to allow the key to be wrapped with another key.
    `keySizeInBytes` - the size in bytes of the key.
    `algorithm` - the algorithm of the key.

### GeneralPKCS11KeyParameterSpec

    public GeneralPKCS11KeyParameterSpec(java.lang.String keyIdentifier,
                                         java.lang.String label,
                                         int keySizeInBytes,
                                         java.lang.String algorithm)

  GeneralPKCS11KeyParameterSpec

  Parameters:
    `keyIdentifier` - the data that identifies this key from another key.
    `label` - that describes the key.
    `keySizeInBytes` - is the size of the key in bytes
    `algorithm` - the algorithm of the key.

Method Detail

### getKeyType

    public java.lang.Integer getKeyType()

  Returns the key type

  Specified by:
    `getKeyType` in interface `PKCS11SecretKeyParameterSpec`
  Returns:
    the key type

### getKeyID

    public java.lang.String getKeyID()

  Returns the associated key identifier.

  Specified by:
    `getKeyID` in interface `PKCS11SecretKeyParameterSpec`
  Returns:
    the key identifier

### getLabel

    public java.lang.String getLabel()

  Returns the label for the key.

  Specified by:
    `getLabel` in interface `PKCS11SecretKeyParameterSpec`
  Returns:
    the label

### getToken

    public java.lang.Boolean getToken()

  Returns if the the key is a session or token key.

  Specified by:
    `getToken` in interface `PKCS11SecretKeyParameterSpec`
  Returns:
    true if key is a token key, false the key is only related to the session.

### getSensitive

    public java.lang.Boolean getSensitive()

  Returns if the key is sensitive.

  Specified by:
    `getSensitive` in interface `PKCS11SecretKeyParameterSpec`
  Returns:
    true if the key is sensitive, false otherwise.

### getEncrypt

    public java.lang.Boolean getEncrypt()

  Returns the if the key can be used for encryption/decryption operations.

  Specified by:
    `getEncrypt` in interface `PKCS11SecretKeyParameterSpec`
  Returns:
    true if the key can do encryption/decryption operations, false otherwise.

### getWrap

    public java.lang.Boolean getWrap()

  Returns if the key can be used for wrapping operations.

  Specified by:
    `getWrap` in interface `PKCS11SecretKeyParameterSpec`
  Returns:
    true if the key can do wrapping operations, false otherwise.

### getExtractable

    public java.lang.Boolean getExtractable()

  Returns the if the key can be wrapped by another key.

  Specified by:
    `getExtractable` in interface `PKCS11SecretKeyParameterSpec`
  Returns:
    true if the key can be wrapped by another key, false otherwise.

### getKeySizeInBytes

    public int getKeySizeInBytes()

  Returns the size of the key in bytes.

  Returns:
    the size of the key in bytes

Overview | Package | Class | Tree | Serialized | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD